Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.cql3
Class KSPropDefs

    java.lang.Object
      org.apache.cassandra.cql3.PropertyDefinitions
          org.apache.cassandra.cql3.KSPropDefs

    public class KSPropDefs

extends PropertyDefinitions

Field Summary
`static java.util.Set<java.lang.String>` | `keywords`
`static java.lang.String` | `KW_DURABLE_WRITES`
`static java.lang.String` | `KW_REPLICATION_STRATEGY`
`static java.util.Set<java.lang.String>` | `obsoleteKeywords`

Fields inherited from class org.apache.cassandra.cql3.PropertyDefinitions
`logger, properties`

Constructor Summary
`KSPropDefs()`

Method Summary
`void` | `addProperty(java.lang.String name, java.lang.String value)`
`KSMetaData` | `asKSMetadata(java.lang.String ksName)`
`KSMetaData` | `asKSMetadataUpdate(KSMetaData old)`
`java.util.Map<java.lang.String,java.lang.String>` | `getReplicationOptions()`
`java.lang.String` | `getReplicationStrategyClass()`
`void` | `validate()`

Methods inherited from class org.apache.cassandra.cql3.PropertyDefinitions
`getBoolean, getDouble, getInt, getSimple, getString, hasProperty, toInt, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KW_DURABLE_WRITES

    public static final java.lang.String KW_DURABLE_WRITES

See Also:
  Constant Field Values

### KW_REPLICATION_STRATEGY

    public static final java.lang.String KW_REPLICATION_STRATEGY

See Also:
  Constant Field Values

### keywords

    public static final java.util.Set<java.lang.String> keywords

### obsoleteKeywords

    public static final java.util.Set<java.lang.String> obsoleteKeywords

Constructor Detail

### KSPropDefs

    public KSPropDefs()

Method Detail

### validate

    public void validate()
                  throws ConfigurationException,
                         InvalidRequestException

  Throws:
    `ConfigurationException`
    `InvalidRequestException`

### addProperty

    public void addProperty(java.lang.String name,
                            java.lang.String value)
                     throws InvalidRequestException

  Overrides:
    `addProperty` in class `PropertyDefinitions`
  Throws:
    `InvalidRequestException`

### getReplicationStrategyClass

    public java.lang.String getReplicationStrategyClass()

### getReplicationOptions

    public java.util.Map<java.lang.String,java.lang.String> getReplicationOptions()

### asKSMetadata

    public KSMetaData asKSMetadata(java.lang.String ksName)
                            throws InvalidRequestException,
                                   ConfigurationException

  Throws:
    `InvalidRequestException`
    `ConfigurationException`

### asKSMetadataUpdate

    public KSMetaData asKSMetadataUpdate(KSMetaData old)
                                  throws InvalidRequestException,
                                         ConfigurationException

  Throws:
    `InvalidRequestException`
    `ConfigurationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation